apiVersion: v1
kind: Service
metadata:
  name: oc-workflow
  labels:
    app: oc-workflow
    release: {{ .Release.Name }}
spec:
  type: {{ .Values.service.type }}  # Utilisation du type de service configuré (ClusterIP, NodePort, LoadBalancer)
  selector:
    app: oc-catalog
    release: {{ .Release.Name }}
  ports:
    - protocol: TCP
      port: {{ .Values.service.port }}  # Port exposé (8089 par défaut)
      targetPort: {{ .Values.service.targetPort }}  # Port du conteneur interne (8080 par défaut)

